Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSScreenSharingView Class Reference

CSScreenSharingView object provides screen sharing canvas on which received frames are drawn on. More...

`#import <CSScreenSharingView.h>`

Inherits NSView, and <CSContentSharingDelegate>.

## Instance Methods
(void) | - requestRemoteControlWithCompletionHandler:
| Requests remote control. More...
(void) | - declineRemoteControlWithCompletionHandler:
| Declines remote control. More...
(void) | - startRemoteControlWithCompletionHandler:
| Starts remote control. More...
(void) | - endRemoteControlWithCompletionHandler:
| Starts remote control. More...
(void) | - sendToClipboard:
| Send text to remote clipboard. More...
(void) | - updateRemoteControlTrackingArea
| When called, updates view's tracking area used by remote control. More...
Instance Methods inherited from <CSContentSharingDelegate>
(void) | - contentSharing:didStartByParticipant:
| Reports that content sharing session has been started by other collaboration participant. More...
(void) | - contentSharingDidEnd:
| Reports that content sharing session has been ended by other collaboration participant. More...
(void) | - contentSharingDidPause:
| Reports that content sharing session has been paused by other collaboration participant. More...
(void) | - contentSharingDidResume:
| Reports that content sharing session has been resumed by other collaboration participant. More...
(void) | - contentSharing:didReceiveCursorPosition:
| Sends information about cursor position with received content sharing. More...
(void) | - contentSharing:didReceiveSharingFrame:
| Reports that entire content sharing frame was received from server. More...
(void) | - contentSharing:didChangeSharingFrame:
| Reports that sent sharing frame has changed. More...
(void) | - contentSharing:didChangeApplicationWindowState:
| Reports change of state of sharing application window. More...
(void) | - contentSharingDidChangeCapabilities:
| Called when content sharing capabilities have changed. More...

## Properties
CSScreenSharingListener * | contentSharingDelegate
| CSScreenSharingListener object which implements CSContentSharingDelegate and is responsible for drawing incoming frames on CALayer object backing CSScreenSharingView. More...
CSContentSharing * | contentSharing
| CSContentSharing object which is used by CSScreenSharingView to send remote control related events. More...
NSImage * | cursorImage
| Image of cursor which is rendered on sharing canvas. More...
NSImage * | pauseImage
| An image to be rendered in the center of sharing canvas when sharing is paused. More...

## Detailed Description

CSScreenSharingView object provides screen sharing canvas on which received frames are drawn on.

Should be set as rendering canvas of CSOSXScreenSharingView. Client should hold strong reference to object of this class.

See also
  CSOSXScreenSharingView

## Method Documentation

- (void) declineRemoteControlWithCompletionHandler: |  | (void(^)(CSParticipant *participant, NSError *error)) | handler |

Declines remote control.

Accesible also via CSContentSharing::declineRemoteControlWithCompletionHandler:.

- (void) endRemoteControlWithCompletionHandler: |  | (void(^)(CSParticipant *participant, NSError *error)) | handler |

Starts remote control.

Accesible also via CSContentSharing::endRemoteControlWithCompletionHandler:.

- (void) requestRemoteControlWithCompletionHandler: |  | (void(^)(CSParticipant *participant, NSError *error)) | handler |

Requests remote control.

Accesible also via CSContentSharing::requestRemoteControlWithCompletionHandler:.

- (void) sendToClipboard: |  | (NSString *) | text |

Send text to remote clipboard.

Parameters

  text | Text to be sent to remote clipboard.

- (void) startRemoteControlWithCompletionHandler: |  | (void(^)(CSParticipant *participant, NSError *error)) | handler |

Starts remote control.

Accesible also via CSContentSharing::startRemoteControlWithCompletionHandler:.

- (void) updateRemoteControlTrackingArea |  |  |

When called, updates view's tracking area used by remote control.

## Property Documentation

- (CSContentSharing*) contentSharing
| read write nonatomic weak

CSContentSharing object which is used by CSScreenSharingView to send remote control related events.

- (CSScreenSharingListener*) contentSharingDelegate
| read write nonatomic strong

CSScreenSharingListener object which implements CSContentSharingDelegate and is responsible for drawing incoming frames on CALayer object backing CSScreenSharingView.

CSScreenSharingListener has to be created and set by client.

See also
  CSContentSharingDelegate

- (NSImage*) cursorImage
| read write nonatomic strong

Image of cursor which is rendered on sharing canvas.

By default image with name cursor.png from application bundle is taken. In case image is not provided neither in application bundle nor by this property, cursor isn't rendered on sharing canvas.

- (NSImage*) pauseImage
| read write nonatomic strong

An image to be rendered in the center of sharing canvas when sharing is paused.

There's no default image for pause icon. In case image is not provided by client using this property, pause image isn't rendered on sharing canvas.

The documentation for this class was generated from the following file:

- CSScreenSharingView.h